%global dnf_org org.baseurl.Dnf
%global dnf_version 2.5.0
%global dnf_nocompat 3.0

Name:           dnfdaemon
Version:        0.3.18
Release:        %mkrel 1
Summary:        D-Bus daemon for DNF package actions
Group:          System/Packaging
License:        GPLv2+
URL:            https://github.com/manatools/dnfdaemon
Source0:        %{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-gobject3
Requires:       python3-dbus
Requires:       python3-dnf >= %{dnf_version}
Requires:       python3-dnf < %{dnf_nocompat}
Requires:       polkit

BuildRequires:    systemd-devel
Requires:         systemd
Requires(post):   systemd
Requires(preun):  systemd

%description
D-Bus daemon for performing package actions with the DNF package manager

%package -n python3-%{name}
Summary:        Python 3 API for communicating with the dnf-daemon D-Bus service
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-gobject3

%description -n python3-%{name}
Python 3 API for communicating with the dnf-daemon D-Bus service

%package -n python2-%{name}
Summary:        Python 2 API for communicating with the dnf-daemon D-Bus service
Group:          Development/Python
Provides:       python-%{name} = %{version}-%{release}
BuildRequires:  python2-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python-gobject3

%description -n python2-%{name}
Python 2 API for communicating with the dnf-daemon D-Bus service

%prep
%autosetup -p1

%build
# Nothing to build

%install
make install DESTDIR=%{buildroot} DATADIR=%{_datadir} SYSCONFDIR=%{_sysconfdir}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%doc README.md ChangeLog
%license COPYING
%{_datadir}/dbus-1/system-services/%{dnf_org}*
%{_datadir}/dbus-1/services/%{dnf_org}*
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service
%{_datadir}/polkit-1/actions/%{dnf_org}*
# this should not be edited by the user, so no %%config
%{_sysconfdir}/dbus-1/system.d/%{dnf_org}*
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/__*
%{python3_sitelib}/%{name}/server

%files -n  python2-%{name}
%{python2_sitelib}/%{name}

%files -n  python3-%{name}
%{python3_sitelib}/%{name}/client



%changelog
* Wed May 24 2017 ngompa <ngompa> 0.3.18-1.mga6
+ Revision: 1104374
- Upgrade to 0.3.18

* Mon May 01 2017 ngompa <ngompa> 0.3.17-2.mga6
+ Revision: 1098223
- Remove usage of removed pyhawkey API in updateinfo parsing (rhbz#1444830)

* Sat Apr 15 2017 ngompa <ngompa> 0.3.17-1.mga6
+ Revision: 1096559
- Update to v0.3.17
- Drop merged patches

* Sun Apr 02 2017 ngompa <ngompa> 0.3.16-6.mga6
+ Revision: 1095696
- Replace patches with flattened patch series
- Add support for new callbacks from DNF 2.2.0

* Sat Feb 25 2017 ngompa <ngompa> 0.3.16-5.mga6
+ Revision: 1087843
- Add patch to fix crash with get_config()

* Wed Feb 08 2017 ngompa <ngompa> 0.3.16-4.mga6
+ Revision: 1085137
- Add patch to fix crash with GetRepo(id) calls

* Sun Nov 27 2016 ngompa <ngompa> 0.3.16-3.mga6
+ Revision: 1070523
- Bump for rebuilding against core/release

* Sat Nov 26 2016 ngompa <ngompa> 0.3.16-2.mga6
+ Revision: 1070243
- Backport patch from master to support DNF 2.0

* Sun May 29 2016 ngompa <ngompa> 0.3.16-1.mga6
+ Revision: 1019329
- Update to 0.3.16 to work properly with dnf-1.1.9

* Sun May 15 2016 ngompa <ngompa> 0.3.15-1.mga6
+ Revision: 1015614
- Update to dnfdaemon-0.3.15

* Sun Jan 24 2016 ngompa <ngompa> 0.3.12-1.mga6
+ Revision: 926849
- Update to 0.3.12

* Sun Oct 25 2015 ngompa <ngompa> 0.3.10-2.mga6
+ Revision: 895398
- Initial import of dnfdaemon for Mageia

